| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Warnlist Struct Referencefinal

## Public Member Functions
WarnlistItem & | get (const WarnlistField field)
| Returns a reference to the requested warnlist item.
bool | isUsed (const WarnlistField field)
| Returns whether the requested warnlist is in use.
void | setUsed (const WarnlistField field, const bool used)
| Sets the requested warnlist in the given in-use condition.

## Member Function Documentation

## ◆ get()

WarnlistItem & Warnlist::get | ( | const WarnlistField | field | ) |

Returns a reference to the requested warnlist item.

Exceptions

  DoNotCatchException |

## ◆ isUsed()

bool Warnlist::isUsed | ( | const WarnlistField | field | ) |
| inline

Returns whether the requested warnlist is in use.

Exceptions

  DoNotCatchException |

## ◆ setUsed()

void Warnlist::setUsed | ( | const WarnlistField | field,
|  | const bool | used )
| inline

Sets the requested warnlist in the given in-use condition.

Exceptions

  DoNotCatchException |

The documentation for this struct was generated from the following files:

- logdoctor/modules/warnlists/modules/warnlist.h
- logdoctor/modules/warnlists/modules/warnlist.cpp